---
# file: tasks/05-configure_network_manager.yml

- name: "05.1 - check if network manager config file is present in the system"
  stat:
    path: "{{ __resolv_network_manager_config_file }}"
    get_attributes: False
    get_checksum: False
    get_md5: False
    get_mime: False
  become: True
  register: network_manager_conf_file_check

- name: "05.2 - make sure dnsmasq is disabled then"
  lineinfile:
    dest: "{{ __resolv_network_manager_config_file }}"
    line: dns=dnsmasq
    state: absent
  become: True
  notify:
    - resolv-restart-network-manager
  when:
    - network_manager_conf_file_check is defined and
      network_manager_conf_file_check.stat is defined and
      network_manager_conf_file_check.stat.exists|bool

- meta: flush_handlers
